diff --git a/scripts/patch.sh b/scripts/patch.sh
index 9a4a64bbae936cdac2021c38dd3e5ee019951c7c..36948530587749c7a498914d599ca6cb2a75c907 100755
--- a/scripts/patch.sh
+++ b/scripts/patch.sh
@@ -10,7 +10,7 @@ for module in $GLUON_MODULES; do
 	git checkout -B patching base
 
 	if [ "$(echo "$1"/patches/$module/*.patch)" ]; then
-		git am "$1"/patches/$module/*.patch || (
+		git am --whitespace=nowarn "$1"/patches/$module/*.patch || (
 			git am --abort
 			git checkout patched
 			git branch -D patching